


 function checkEmail(emailStr) {
               if (emailStr.length == 0) {
                   return false;
               }

               var emailPat=/^(.+)@(.+)$/;
               var specialChars="\\(\\)<>@,;:\\\\\\\"\\.\\[\\]";
               var validChars="\[^\\s" + specialChars + "\]";
               var quotedUser="(\"[^\"]*\")";
               var ipDomainPat=/^(\d{1,3})[.](\d{1,3})[.](\d{1,3s})[.](\d{1,3})$/;
               var atom=validChars + '+';
               var word="(" + atom + "|" + quotedUser + ")";
               var userPat=new RegExp("^" + word + "(\\." + word + ")*$");
               var domainPat=new RegExp("^" + atom + "(\\." + atom + ")*$");
               var matchArray=emailStr.match(emailPat);
               if (matchArray == null) {
                   return false;
               }
               var user=matchArray[1];
               var domain=matchArray[2];
               if (user.match(userPat) == null) {
                   return false;
               }
               var IPArray = domain.match(ipDomainPat);
               if (IPArray != null) {
                   for (var i = 1; i <= 4; i++) {
                      if (IPArray[i] > 255) {
                         return false;
                      }
                   }
                   return true;
               }
               var domainArray=domain.match(domainPat);
               if (domainArray == null) {
                   return false;
               }
               var atomPat=new RegExp(atom,"g");
               var domArr=domain.match(atomPat);
               var len=domArr.length;
               if ((domArr[domArr.length-1].length < 2) ||
                   (domArr[domArr.length-1].length > 3)) {
                   return false;
               }
               if (len < 2) {
                   return false;
               }
               return true;
            }
			
			
			
//将目标控件中已存在的项目从源控件中移除

function clsItems(sourceObj,targetObj){
  var i=0;
  var j;
  var strValue="";
  var strName="";
  var isRemove=false;
  while(i<sourceObj.options.length){
    strValue=sourceObj.options[i].value;
    strName=sourceObj.options[i].text;
    //遍历目标控件中的内容，检测是否有相同的项目

    for(j=0;j<targetObj.options.length;j++){
      //如果存在相同的项目，移除源控件中的项目

      if (strValue==targetObj.options[j].value){
        sourceObj.remove(i);
        isRemove=true;
        break;
      }else{
        isRemove=false;
      }
    }
    if (isRemove==false){
      i++;
    }
  }
}



function transItem2select(sourceObj,targetObj){
  var i=0;
  var j;
  var strValue="";
  var strName="";
  var isJump=false;
  while(i<sourceObj.options.length){
    if (sourceObj.options[i].selected==true){
      strValue=sourceObj.options[i].value;
      strName=sourceObj.options[i].text;
	  var index= strName.split("(");
	  var index2=index[1].split(")");

	  if(targetObj.options.length>0)
	  {
		  for(j=0;j<targetObj.options.length;j++){
			//如果存在相同的项目，则不添加
			if (index2[0]==targetObj.options[j].value){
			  isJump=true;
			  break;
			}else
			  isJump=false;
		  }
	  }
	  
      if (isJump==false){
        //移动项目到目标控件中，并移除源控件中的项目
        var objOption=new Option("("+index2[0]+")",index2[0]);
        if(navigator.appName.toLowerCase().indexOf("microsoft") != -1)
        targetObj.add(objOption,j);
		else
		targetObj.appendChild(objOption);

      } 
	  
	}//end if(sourceObj.options[i].selected==true)
    i++;
		
  }//end while
}

//将源控件中的项目移到目标控件中

function transItems(sourceObj,targetObj){
  var i=0;
  var j;
  var strValue="";
  var strName="";
  var isJump=false;
  while(i<sourceObj.options.length){
    if (sourceObj.options[i].selected==true){
      strValue=sourceObj.options[i].value;
      strName=sourceObj.options[i].text;
	  strName=strName;
      //遍历目标控件中的内容，检测是否有相同的项目
      //alert(strName);
	  //alert(strValue);
	  var str_value="";
	  if(strName.indexOf(")")>=0)
	{
	  var index= strName.split("(");
	  var index2=index[1].split(")");
	  //alert(index1[0]);
	  str_value=index2[0];
	}
	else
	str_value=strName;
	 //var emailPat=/^(.+)(.+)$/;
	 // var validChars="\[^\\s" + index2[0].trim() + "\]";
	  var domainPat=new RegExp("^(.+)" + str_value + "(.+)$");
	  var boo=targetObj.value.match(domainPat);
	  if(boo==null)
      targetObj.value+=str_value+"\r\n";
	  sourceObj.remove(i);
  }

  i++;
  }
}


function transAllItems2select(sourceObj,targetObj){
  var i=0;
  var j;
  var strValue="";
  var strName="";
  var isJump=false;
  while(i<sourceObj.options.length){
    strValue=sourceObj.options[i].value;
    strName=sourceObj.options[i].text;
	
	 var index= strName.split("(");
	 var index2=index[1].split(")");
	 
 

    for(j=0;j<targetObj.options.length;j++){
  
      if (index2[0]==targetObj.options[j].value){
        isJump=true;
        break;
      }else
        isJump=false;
    }
    if (isJump==false){

      var objOption=new Option("("+index2[0]+")",index2[0]);
	  if(navigator.appName.toLowerCase().indexOf("microsoft") != -1)
        targetObj.add(objOption,j);
		else
		targetObj.appendChild(objOption);
		
    }else
      i++;
  }
}

//将源控件中的项目移到目标控件中

function transAllItems(sourceObj,targetObj){
  var i=0;
  var j;
  var strValue="";
  var strName="";
  var isJump=false;
  while(i<sourceObj.options.length){
    strValue=sourceObj.options[i].value;
    strName=sourceObj.options[i].text;
    //遍历目标控件中的内容，检测是否有相同的项目
	
    var str_value="";
    if(strName.indexOf("(")>=0)
	{
    var index= strName.split("(");
	var index2=index[1].split(")");
	 str_value=index2[0];
	}
	else str_value=strName;
	
	//var validChars="\[^\\s" + index2[0].trim() + "\]";
	//alert(str_value);
	///^(.+)@(.+)$/
	var domainPat=new RegExp("^(.+)" + str_value + "(.+)$");
	//alert(domainPat);
	var boo=targetObj.value.match(domainPat);
	  if(boo==null)
      targetObj.value+=str_value+"\r\n";
	  //alert(i);
	  sourceObj.remove(i);
	 // i++;
  }
}


//传输 textarea中内容到 selectlist中
function transAllItems2list(sourceObj,targetObj){
  var i=0;
  var j=0;
  var strValue="";
  var strName="";
  var isJump=false;
 // alert(sourceObj);
 // sourceObj.value=sourceObj.value.replace("\r\n","\n");
  var value;
  var str_temp;
  if(navigator.appName.toLowerCase().indexOf("microsoft") != -1)
  {
	  str_temp=sourceObj.value;
  	value=str_temp.split("\r\n");
  }
  else
  {
	  str_temp=sourceObj.value.replace("\r\n","\n");
   	  value=str_temp.split('\n');
   
  }
  //alert(value[1]+value.length);
  while(i<value.length){
	strValue=value[i];
	if(value[i]=="")
	{
		i++;
		continue;
	}
    strName="("+value[i]+")";
	
	//alert(strName);
	
	//alert(strName);
	for(j=0;j<targetObj.options.length;j++){
        //如果存在相同的项目，则不添加
        if (strName==targetObj.options[j].text){
          isJump=true;
          break;
        }else{
          isJump=false;
        }
      }//for
	  
      if (isJump==false){
        //移动项目到目标控件中，并移除源控件中的项目

        if(checkEmail(value[i]))
		{
        var objOption=new Option(strName,strValue);
		//alert(targetObj);
		//alert(objOption);
		//alert(strName+","+strValue);
		if(navigator.appName.toLowerCase().indexOf("microsoft") != -1)
        targetObj.add(objOption,j);
		else
		targetObj.appendChild(objOption);
		}
		else
		alert(value[i]+",isn't a validate email");
        //sourceObj.remove(i);
      }
	  
      i++;
    }
	
	if(sourceObj.value.length==0)
	return;

	if(navigator.appName.toLowerCase().indexOf("microsoft") != -1)
	 {
	if(sourceObj.value.indexOf("\r\n")==-1||(sourceObj.value.lastIndexOf("\r\n")!=(sourceObj.value.length-2)))
	sourceObj.value+="\r\n";
	 }
	 
	 if(navigator.appName.toLowerCase().indexOf("microsoft") == -1)
	 {
	if(sourceObj.value.indexOf("\n")==-1||(sourceObj.value.lastIndexOf("\n")!=(sourceObj.value.length-1)))
	sourceObj.value+="\n";
	 }
	 

}
